"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactifyNumber = exports.reactifyString = exports.reactifyMethod = exports.unrefFn = void 0;
const shared_1 = require("@vueuse/shared");
const vue_demi_1 = require("vue-demi");
function unrefFn(fn) {
    return function (...args) {
        return fn.apply(this, args.map(i => vue_demi_1.unref(i)));
    };
}
exports.unrefFn = unrefFn;
function reactifyMethod(fn) {
    // @ts-expect-error
    return shared_1.reactify((that, ...args) => fn.apply(that, args));
}
exports.reactifyMethod = reactifyMethod;
exports.reactifyString = reactifyMethod;
exports.reactifyNumber = reactifyMethod;
