import { MaybeRef, Reactify } from '@vueuse/shared';
declare type PrependArgument<Fn, E> = Fn extends (...args: infer R) => infer T ? (that: E, ...args: R) => T : never;
export declare type UnrefFn<T> = T extends (...args: infer A) => infer R ? (...args: {
    [K in keyof A]: MaybeRef<A[K]>;
}) => R : never;
export declare function unrefFn<T extends Function>(fn: T): UnrefFn<T>;
export declare function reactifyMethod<T extends Function>(fn: T): Reactify<PrependArgument<T, any>>;
export declare const reactifyString: <T extends Function>(fn: T) => Reactify<PrependArgument<T, string>>;
export declare const reactifyNumber: <T extends Function>(fn: T) => Reactify<PrependArgument<T, number>>;
export {};
