import { reactify } from '@vueuse/shared';
import { unref } from 'vue-demi';
export function unrefFn(fn) {
    return function (...args) {
        return fn.apply(this, args.map(i => unref(i)));
    };
}
export function reactifyMethod(fn) {
    // @ts-expect-error
    return reactify((that, ...args) => fn.apply(that, args));
}
export const reactifyString = reactifyMethod;
export const reactifyNumber = reactifyMethod;
